import { II18nConfig, IExtraData } from '@cloudbase/lowcode-generator/lib/weapps-core';
import { BuildType, WebpackModeType } from '../types/common';
import { RUNTIME } from '../../types';
import { IPlatformApp } from '@cloudbase/cals';
import { ICDN_ENDPOINTS_COFIG } from '../config';
import { IAppCommonBuildContext } from '../mp/BuildContext';
import { IBuildWedaApp } from '../core';
export declare function buildH5App({ buildContext, i18nConfig, extraData, cals: _cals, buildTypeList, subAppCalsList, mode, devTool, runtime, deployOptions, ignoreInstall, cdnEndpoints, }: {
    buildContext: Omit<IAppCommonBuildContext, 'mainAppData'>;
    cals: IPlatformApp;
    subAppCalsList: IPlatformApp[];
    i18nConfig?: II18nConfig;
    buildTypeList: BuildType[];
    extraData: IExtraData;
    mode: WebpackModeType;
    devTool: string;
    runtime?: RUNTIME;
    deployOptions?: IBuildWedaApp['deployOptions'];
    ignoreInstall?: boolean;
    cdnEndpoints?: ICDN_ENDPOINTS_COFIG;
}): Promise<string>;
/**
 * 导出进行单测
 */
export declare function _BabelTransformCalsExpression(key: any, value: any): any;
