export { REPLACE_SIGN, MP_CONFIG_MODULE_NAME, KBONE_PAGE_KEYS, npmRegistry, remConfig, rpxConfig, OFFICIAL_LIB_KEY, } from '@cloudbase/lowcode-generator/lib/generator/config/index';
export { generatePackageDependencies } from './dependencies';
export declare const sharedMaterialsDir: string;
export declare const appTemplateDir: string;
export declare const materialsDirName = "materials";
export declare const miniprogramURL: string;
export declare const cloudbaseMiniprogramURL: string;
export declare const systemSubpackageMiniprogramURL: string;
export declare const RUNTIME_CONFIG_URL: string;
/**
 * miniprogram_npm存放目录。IDE插件builder用到
 */
export declare const miniprogramDir: string;
export declare const cloudbaseMiniprogramDir: string;
export declare const systemSubpackageMiniprogramDir: string;
export interface ICDN_ENDPOINTS_COFIG {
    common?: string;
    cloudbase?: string;
    cdngo?: string;
    aegis?: string;
}
export declare const CDN_ENDPONTS_CONFIG: ICDN_ENDPOINTS_COFIG;
export declare function generateCdnEndpoints(endpoints?: ICDN_ENDPOINTS_COFIG): ICDN_ENDPOINTS_COFIG;
/**
 * 循环组件的信息
 */
export declare const REPEATER: {
    MODULE_NAME: string;
    REPEATER_NAME: string;
    REPEATER_ITEM_NAME: string;
};
export declare function getPrivatelinkJsUrl(cdngoDomain?: string | undefined): {
    vm: string;
    vender: string;
};
