import { IWeAppComponentInstance } from '@cloudbase/lowcode-generator/lib/weapps-core';
import { IBuildContext, IMpCommonBuildContext } from './BuildContext';
import NameMangler from '@cloudbase/lowcode-generator/lib/generator/util/name-mangler';
import { IUsedComps } from '../types/common';
export declare function normalizeCompositeDependienciesForBuild(lib: any): any;
export declare type TInstallMaterialsType = 'lib' | 'inline';
export declare function installMaterials(ctx: IMpCommonBuildContext, outDir: string, usedMeta?: {
    component: IUsedComps;
    action: IUsedComps;
}, mode?: TInstallMaterialsType): Promise<void>;
/**
 * 过滤组件库文件
 * @param src 源文件
 * @param dest 目标文件
 * @returns boolean
 */
export declare function filterMaterial(src: any, dest: any): boolean;
export declare function getWxmlTag(ctx: IMpCommonBuildContext & {
    wedaRoot?: IBuildContext['wedaRoot'];
}, cmp: Required<IWeAppComponentInstance>['xComponent'], nameMangler?: NameMangler, mode?: TInstallMaterialsType): {
    tagName: string;
    path?: undefined;
} | {
    tagName: string;
    path: any;
};
