import { IWeAppComponentInstance, IEventModifiers } from '@cloudbase/lowcode-generator/lib/weapps-core';
import { IBuildContext, IMpCommonBuildContext } from './BuildContext';
import { TInstallMaterialsType } from './materials';
export declare const WD_EMPTY_PLACEHOLDER = "wd-ph";
export declare const WD_RUNTIME_TAG: string[];
export declare function generateWxml(ctx: (IBuildContext & {
    pageUUID?: string;
}) | (IMpCommonBuildContext & {
    pageUUID?: undefined;
}), widgets: {
    [key: string]: IWeAppComponentInstance;
}, docTag: string, wxmlDataPrefix: any, usingComponents: any, componentGenerics: any, nodeTransform?: (cmp: IWeAppComponentInstance, node: any) => void, mode?: TInstallMaterialsType): string;
export declare function getMpEventHandlerName(widgetId: string, evtName: string, modifier?: IEventModifiers): string;
export declare function generateComponentPlaceholder(usingComponents: any): any;
